@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΜΕΤΑΤΡΕΠΕΙ ΟΛΑ ΤΑ ΒΙΝΤΕΟ ΣΕ ΑΛΛΟ VIDEO CODEC
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 


echo.
set "StartMKV=mkv"
set /p StartMKV=Γράψε το extension του Video Codec που θες να μετατρέψω, π.χ. flv, αλλιώς Enter για default mkv:


echo.
set "EndMP4=mp4"
set /p EndMP4=Γράψε το extension του Video Codec που θες να γίνει, π.χ. webm, αλλιώς Enter για default mp4:
rem echo.



:FF


rem SetLocal EnableExtensions EnableDelayedExpansion
for /F tokens^=* %%i in ('dir /b *.%%StartMKV%%') do (

	echo.
	echo Μετατρέπω το "%%i" ..
	echo.
	call ffmpeg -v quiet -stats -loglevel error  -i "%%i" "%%~pi%%~ni.%%EndMP4%%"
    call vidChckCode.bat "%%i"
)

goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0